<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>gluon: crc32/crc32.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">gluon
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_ab1cb00a9c5c915a16f6e39de9f4b3e0.html">crc32</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">crc32.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;stdint.h&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for crc32.h:</div>
<div class="dyncontent">
<div class="center"><img src="crc32_8h__incl.png" border="0" usemap="#crc32_2crc32_8h" alt=""/></div>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="crc32_8h__dep__incl.png" border="0" usemap="#crc32_2crc32_8hdep" alt=""/></div>
<map name="crc32_2crc32_8hdep" id="crc32_2crc32_8hdep">
<area shape="rect" id="node2" href="crc32_8c.html" title="crc32/crc32.c" alt="" coords="5,80,107,107"/>
<area shape="rect" id="node3" href="crc32_2test_8c.html" title="crc32/test.c" alt="" coords="131,80,221,107"/>
<area shape="rect" id="node4" href="crc32_2verify_8c.html" title="crc32/verify.c" alt="" coords="245,80,347,107"/>
</map>
</div>
</div>
<p><a href="crc32_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:a5c56ff16ec22f486d6da4a42ad892f07"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="crc32_8h.html#a5c56ff16ec22f486d6da4a42ad892f07">CRC32_SPEC</a></td></tr>
<tr class="separator:a5c56ff16ec22f486d6da4a42ad892f07"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a042d8bafdb6ce181123b53b0dd7964bb"><td class="memItemLeft" align="right" valign="top"><a class="el" href="crc32_8h.html#a5c56ff16ec22f486d6da4a42ad892f07">CRC32_SPEC</a> uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="crc32_8h.html#a042d8bafdb6ce181123b53b0dd7964bb">crc32</a> (uint32_t init, uint32_t poly, const uint8_t data[], uint_fast32_t length)</td></tr>
<tr class="separator:a042d8bafdb6ce181123b53b0dd7964bb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>32 bit cyclic redundancy check.</p>
<p><a href="https://en.wikipedia.org/wiki/Cyclic_redundancy_check">https://en.wikipedia.org/wiki/Cyclic_redundancy_check</a> </p>
</div><h2 class="groupheader">Macro Definition Documentation</h2>
<a id="a5c56ff16ec22f486d6da4a42ad892f07"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5c56ff16ec22f486d6da4a42ad892f07">&#9670;&nbsp;</a></span>CRC32_SPEC</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define CRC32_SPEC</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>CONFIGURATION: Define for header only library, undefine for standalone module. </p>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="a042d8bafdb6ce181123b53b0dd7964bb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a042d8bafdb6ce181123b53b0dd7964bb">&#9670;&nbsp;</a></span>crc32()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="crc32_8h.html#a5c56ff16ec22f486d6da4a42ad892f07">CRC32_SPEC</a> uint32_t crc32 </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>init</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>poly</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const uint8_t&#160;</td>
          <td class="paramname"><em>data</em>[], </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint_fast32_t&#160;</td>
          <td class="paramname"><em>length</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
